NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::ContactMeshBuilder Class Reference

Represents a NXOpen::CAE::ContactMeshBuilder
To create a new instance of this class, use NXOpen::CAE::MeshManager::CreateContactMeshBuilder

Created in NX10.0.0. More...

Inheritance diagram for NXOpen::CAE::ContactMeshBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AlignmentType { AlignmentTypeMinimumdistance, AlignmentTypeNormaltocontactedge }
 the type of alignment to be created More...
 

Public Member Functions

NXOpen::CAE::ContactMeshBuilder::AlignmentType AlignmentMethod ()
 Returns the alingment method
Created in NX10.0.0. More...
 
bool AlignTargetEdgeNodes ()
 Returns a flag to align target edge nodes
Created in NX10.0.0. More...
 
NXOpen::CAE::SelectCAEEdgeContactEdge ()
 Returns the contact edge or the source edge
Created in NX10.0.0. More...
 
NXOpen::PointContactEdgeEndPoint ()
 Returns the end point of contact on contact edge
Created in NX10.0.0. More...
 
NXOpen::PointContactEdgeStartPoint ()
 Returns the start point of contact on contact edge
Created in NX10.0.0. More...
 
NXOpen::CAE::ElementTypeBuilderElementType ()
 Returns the element type to be created
Created in NX10.0.0. More...
 
bool EnableGapTolerance ()
 Returns a flag to enable gap tolerance
Created in NX10.0.0. More...
 
double GapTolerance ()
 Returns the gap tolerance
Created in NX10.0.0. More...
 
int NumElements ()
 Returns the number of contact elements
Created in NX10.0.0. More...
 
void SetAlignmentMethod (NXOpen::CAE::ContactMeshBuilder::AlignmentType alignmentMethod)
 Sets the alingment method
Created in NX10.0.0. More...
 
void SetAlignTargetEdgeNodes (bool alignTargetEdgeNodes)
 Sets a flag to align target edge nodes
Created in NX10.0.0. More...
 
void SetContactEdgeEndPoint (NXOpen::Point *contactEdgeEndPoint)
 Sets the end point of contact on contact edge
Created in NX10.0.0. More...
 
void SetContactEdgeStartPoint (NXOpen::Point *contactEdgeStartPoint)
 Sets the start point of contact on contact edge
Created in NX10.0.0. More...
 
void SetEnableGapTolerance (bool enableGapTolerance)
 Sets a flag to enable gap tolerance
Created in NX10.0.0. More...
 
void SetGapTolerance (double gapTolerance)
 Sets the gap tolerance
Created in NX10.0.0. More...
 
void SetNumElements (int numElements)
 Sets the number of contact elements
Created in NX10.0.0. More...
 
void SetTargetEdgeEndPoint (NXOpen::Point *targetEdgeEndPoint)
 Sets the end point of contact on target edge
Created in NX10.0.0. More...
 
void SetTargetEdgeStartPoint (NXOpen::Point *targetEdgeStartPoint)
 Sets the start point of contact on target edge
Created in NX10.0.0. More...
 
NXOpen::CAE::SelectCAEEdgeTargetEdge ()
 Returns the target edge
Created in NX10.0.0. More...
 
NXOpen::PointTargetEdgeEndPoint ()
 Returns the end point of contact on target edge
Created in NX10.0.0. More...
 
NXOpen::PointTargetEdgeStartPoint ()
 Returns the start point of contact on target edge
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::ContactMeshBuilder
To create a new instance of this class, use NXOpen::CAE::MeshManager::CreateContactMeshBuilder

Created in NX10.0.0.


Member Enumeration Documentation

the type of alignment to be created

Enumerator
AlignmentTypeMinimumdistance 

minimumdistance

AlignmentTypeNormaltocontactedge 

normaltocontactedge

Member Function Documentation

NXOpen::CAE::ContactMeshBuilder::AlignmentType NXOpen::CAE::ContactMeshBuilder::AlignmentMethod ( )

Returns the alingment method
Created in NX10.0.0.



License requirements : None

bool NXOpen::CAE::ContactMeshBuilder::AlignTargetEdgeNodes ( )

Returns a flag to align target edge nodes
Created in NX10.0.0.



License requirements : None

NXOpen::CAE::SelectCAEEdge* NXOpen::CAE::ContactMeshBuilder::ContactEdge ( )

Returns the contact edge or the source edge
Created in NX10.0.0.



License requirements : None

NXOpen::Point* NXOpen::CAE::ContactMeshBuilder::ContactEdgeEndPoint ( )

Returns the end point of contact on contact edge
Created in NX10.0.0.



License requirements : None

NXOpen::Point* NXOpen::CAE::ContactMeshBuilder::ContactEdgeStartPoint ( )

Returns the start point of contact on contact edge
Created in NX10.0.0.



License requirements : None

NXOpen::CAE::ElementTypeBuilder* NXOpen::CAE::ContactMeshBuilder::ElementType ( )

Returns the element type to be created
Created in NX10.0.0.



License requirements : None

bool NXOpen::CAE::ContactMeshBuilder::EnableGapTolerance ( )

Returns a flag to enable gap tolerance
Created in NX10.0.0.



License requirements : None

double NXOpen::CAE::ContactMeshBuilder::GapTolerance ( )

Returns the gap tolerance
Created in NX10.0.0.



License requirements : None

int NXOpen::CAE::ContactMeshBuilder::NumElements ( )

Returns the number of contact elements
Created in NX10.0.0.



License requirements : None

void NXOpen::CAE::ContactMeshBuilder::SetAlignmentMethod ( NXOpen::CAE::ContactMeshBuilder::AlignmentType  alignmentMethod)

Sets the alingment method
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
alignmentMethodalignmentmethod
void NXOpen::CAE::ContactMeshBuilder::SetAlignTargetEdgeNodes ( bool  alignTargetEdgeNodes)

Sets a flag to align target edge nodes
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
alignTargetEdgeNodesaligntargetedgenodes
void NXOpen::CAE::ContactMeshBuilder::SetContactEdgeEndPoint ( NXOpen::Point contactEdgeEndPoint)

Sets the end point of contact on contact edge
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
contactEdgeEndPointcontactedgeendpoint
void NXOpen::CAE::ContactMeshBuilder::SetContactEdgeStartPoint ( NXOpen::Point contactEdgeStartPoint)

Sets the start point of contact on contact edge
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
contactEdgeStartPointcontactedgestartpoint
void NXOpen::CAE::ContactMeshBuilder::SetEnableGapTolerance ( bool  enableGapTolerance)

Sets a flag to enable gap tolerance
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
enableGapToleranceenablegaptolerance
void NXOpen::CAE::ContactMeshBuilder::SetGapTolerance ( double  gapTolerance)

Sets the gap tolerance
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
gapTolerancegaptolerance
void NXOpen::CAE::ContactMeshBuilder::SetNumElements ( int  numElements)

Sets the number of contact elements
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
numElementsnumelements
void NXOpen::CAE::ContactMeshBuilder::SetTargetEdgeEndPoint ( NXOpen::Point targetEdgeEndPoint)

Sets the end point of contact on target edge
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
targetEdgeEndPointtargetedgeendpoint
void NXOpen::CAE::ContactMeshBuilder::SetTargetEdgeStartPoint ( NXOpen::Point targetEdgeStartPoint)

Sets the start point of contact on target edge
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
targetEdgeStartPointtargetedgestartpoint
NXOpen::CAE::SelectCAEEdge* NXOpen::CAE::ContactMeshBuilder::TargetEdge ( )

Returns the target edge
Created in NX10.0.0.



License requirements : None

NXOpen::Point* NXOpen::CAE::ContactMeshBuilder::TargetEdgeEndPoint ( )

Returns the end point of contact on target edge
Created in NX10.0.0.



License requirements : None

NXOpen::Point* NXOpen::CAE::ContactMeshBuilder::TargetEdgeStartPoint ( )

Returns the start point of contact on target edge
Created in NX10.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.